﻿@using X.PagedList.Mvc.Core;
@using X.PagedList.Mvc.Common;
@using X.PagedList;

@model Web.Models.GroupModels.GroupPagedViewModel;

@{
    ViewData["Title"] = "Group Page";
    ViewData["Header"] = "Groups";
}


<div class="container text-center">

    <div class="row">
        <div class="col-sm-14 h1">
            @if (Model.CourseId != null)
            {
                <div>Group</div>
            }else{
                <div>All Group</div>
            }
            
        </div>
    </div>

    <div class="row">
        @foreach (var item in Model.GroupViewEditAddModels)
        {
            <div class="col">
                <div class="card bg-light">
                    <div class="row=">                      
                        <div class="col">
                            <div class="card-body">
                                <h5 class="card-title">@item.Name</h5>
                                <p class="card-text">@item.Description</p>
                                <a href="@Url.Action("Index","Student", new{ groupId = item.Id },null )" class="btn btn-primary">See students</a>
                                <a href="@Url.Action("Edit","Group", new{ id = item.Id},null )" class="btn btn-primary">Edit</a> 
                                <a href="@Url.Action("Delete","Group" , new{ id = item.Id},null )" class="btn btn-primary">Remove</a>
                            </div>
                            <span class="bg-danger">@TempData["Error"]</span>

                        </div>

                    </div>
                </div>
            </div>
        }
    </div>
    <div class="row">
        <div class="col">
            @(Model.GroupViewEditAddModels.PageCount < Model.GroupViewEditAddModels.PageNumber ? 0 : Model.GroupViewEditAddModels.PageNumber) of @Model.GroupViewEditAddModels.PageCount
            @Html.PagedListPager((IPagedList)Model.GroupViewEditAddModels, page => Url.Action("Index", new {page , courseId = Model.CourseId}) ,
            new X.PagedList.Web.Common.PagedListRenderOptions{
            LiElementClasses = new string[]{"page-item"},
            PageClasses = new string[]{"page-link"},
            UlElementClasses = new string[] {"pagination justify-content-center"}

            })
            @if (Model.CourseId != null)
            {
                <a class="btn btn-primary" id="add-button" href="@Url.Action("Add","Group" , new {courseId = Model.CourseId})">Add new</a>
            }
        </div>

    </div>
</div>

